# H245_RedundancyEncodingMethod Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_rtpAudioRedundancyEncoding, e_rtpH263VideoRedundancyEncoding }

## Public Member Functions

| H245_RedundancyEncodingMethod (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardParameter & ()
| operator const H245_NonStandardParameter & () const
| operator H245_RTPH263VideoRedundancyEncoding & ()
| operator const H245_RTPH263VideoRedundancyEncoding & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_RedundancyEncodingMethod::Choices

Enumerator:

  e_nonStandard |
  e_rtpAudioRedundancyEncoding |
  e_rtpH263VideoRedundancyEncoding |

## Constructor & Destructor Documentation

H245_RedundancyEncodingMethod::H245_RedundancyEncodingMethod | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_RedundancyEncodingMethod::operator H245_NonStandardParameter & | ( |  | ) |

H245_RedundancyEncodingMethod::operator const H245_NonStandardParameter & | ( |  | ) | const

H245_RedundancyEncodingMethod::operator H245_RTPH263VideoRedundancyEncoding & | ( |  | ) |

H245_RedundancyEncodingMethod::operator const H245_RTPH263VideoRedundancyEncoding & | ( |  | ) | const

PBoolean H245_RedundancyEncodingMethod::CreateObject | ( |  | ) |

PObject* H245_RedundancyEncodingMethod::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h